/*
 * ppplicznik -- counter of ppp connections with many features
 * Copyright (C) 2001 Artur Siekielski <gruesome@go2.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef ppp_h
#define ppp_h

#pragma interface

#include <cstdlib>
#include <cstdio>
#include <string>
#include <iostream>
#include <fstream>
#include <vector>

#include <sys/ioctl.h>
#include <arpa/inet.h>
#include <net/ppp_defs.h>
#include <net/if.h>
#include <net/if_ppp.h>
#include <netinet/in.h>
#include <unistd.h>

using namespace std;

class pppst
{
	double bajty_wyslane;
	double bajty_odebrane;
	double akt_wyslane;
	double akt_odebrane;
	vector<float> s;
	vector<float> s2;
	int ppp_s;
	unsigned int licznik;
	float sredni;
	float sredni_wys;
	ppp_stats st;
	ifpppstatsreq req;
public:
	void wezStatystyki();
	bool czyAktywny();
	void ustawTablice();
	pppst();
	friend ostream& operator<<(ostream& strumien, pppst& statsy);
	friend class ekran;
	friend class polaczenie;
	friend class konfiguracja;
	friend class program;
	friend fstream& operator<<(fstream& plik, const polaczenie& connection);
	friend fstream& operator>>(fstream& plik, polaczenie& connection);
	friend ostream& operator<<(ostream& strumien, const polaczenie& connection);
};

#endif
